<?
function ShowHighlight($target, $mother){
	global $suri;
	if($suri['directive']=="/search" && $suri['value']!=""){
		$target = bindSearchHighlight($suri['value'], $target);
	}
	return $target;
}

function bindSearchHighlight($keyword, $content) {
    $src = array("/", "|");
    $dst = array("\/", "\|");
    if (!trim($keyword)) return $content;
	$tempContent = str_replace($src, $dst, quotemeta($keyword));
	$tempKeyword = $tempContent . "(?![^<]*>)";
    return preg_replace("/($tempKeyword)/i", "<span class='highlight'>\\1</span>", $content);
}

function highlightCss($target){
	global $configVal;
	$data = fetchConfigVal($configVal);
	if(!$data['textcolor']) $data['textcolor'] = "#FFFFFF";
	if(!$data['backcolor']) $data['backcolor'] = "#6C92CA";
	$textbold	= ($data['textbold']=="bold")?$data['textbold']:"";
	$textcolor	= (strpos($data['textcolor'], "#")===0)?$data['textcolor']:"#".$data['textcolor'];
	$backcolor	= (strpos($data['backcolor'], "#")===0)?$data['backcolor']:"#".$data['backcolor'];
	if($textcolor)	$highLightCSS  = "color:{$textcolor};";
	if($backcolor)	$highLightCSS .= "background-color:{$backcolor};";
	if($textbold)	$highLightCSS .= "font-weight:{$textbold};";
	ob_start();
?>
<style type="text/css"> .highlight {<?=$highLightCSS?>} </style>
<?
	$target .= ob_get_contents();
	ob_end_clean();
	return $target;
}

function SearchHighlightDataSet($DATA){
	$cfg = fetchConfigVal($DATA);
//	 if($cfg['textcolor'] == "") return "잘못된 값입니다.";
	return true;
}
?>